.nav-link {
    font-size: 1rem !important;
}
.carousel-indicators button {
    width: 10px !important;
    height: 10px !important;
    border-radius: 100%;
    /* Optional: change default color and opacity */
    background-color: #fff;
    opacity: 0.7;
}

.carousel-indicators .active {
    opacity: 1;
}

.custom-img-height {
    /* Set a consistent height for all images, adjust as needed */
    height: 100vh;
    object-fit: cover; /* Ensures images cover the area without stretching */
}

.custom-overlay-content {
    /* Customize caption position if needed, default is fine for most cases */
    bottom: 20px; /* Example adjustment */
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    /* Add a semi-transparent background for text readability */
    background-color: rgba(0, 0, 0, 0.5);
    padding: 20px;
    border-radius: 5px;
}

/* Optional: Add a dark gradient or overlay to the entire image for better contrast */
.carousel-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 128, 0.3); /* Dark overlay with 40% opacity */
    z-index: 1; /* Place overlay above image but below text */
}

/* Ensure text and buttons are above the dark overlay */
.carousel-caption {
    z-index: 2;
}
/* Carousel base class */
.carousel {
    margin-bottom: 3rem;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
    padding-right: 2rem;
    padding-left: 2rem;
    bottom: 3rem;
    z-index: 10;
}

/* Declare heights because of positioning of img element */
.carousel-item {
    height: 35rem;
}
.carousel-item img {
    width: 100% !important;
    height: 100vh; /* Adjust height for your need */
    object-fit: cover; /* Keeps image from stretching */
}

.list {
    margin-left: 0px;
    transition: margin-left 0.3s;
}
.list:hover {
    margin-left: 10px;
}

/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
    margin-bottom: 1.5rem;
    text-align: center;
}
/* rtl:begin:ignore */
.marketing .col-lg-4 p {
    margin-right: 0.75rem;
    margin-left: 0.75rem;
}
/* rtl:end:ignore */

/* Featurettes
------------------------- */

.featurette-divider {
    margin: 5rem 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
/* rtl:begin:remove */
.featurette-heading {
    letter-spacing: -0.05rem;
}
.feature-icon {
    width: 4rem;
    height: 4rem;
    border-radius: 0.75rem;
}

.icon-square {
    width: 3rem;
    height: 3rem;
    border-radius: 0.75rem;
}

.text-shadow-1 {
    text-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.25);
}
.text-shadow-2 {
    text-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.25);
}
.text-shadow-3 {
    text-shadow: 0 0.5rem 1.5rem rgba(0, 0, 0, 0.25);
}

.card-cover {
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.feature-icon-small {
    width: 3rem;
    height: 3rem;
}
.bg-green {
    background-color: rgba(183, 17, 234, 0.886);
}

/* rtl:end:remove */

/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 40em) {
    /* Bump up size of carousel content */
    .carousel-caption p {
        margin-bottom: 1.25rem;
        font-size: 1.25rem;
        line-height: 1.4;
    }

    .featurette-heading {
        font-size: 50px;
    }
}

@media (min-width: 62em) {
    .featurette-heading {
        margin-top: 7rem;
    }
}
nav {
    width: 100%;
    // background:#333;
    color: #fff;
    padding: 4px 0;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 10;
}
.logo {
    width: 180px;
}
nav ul li {
    display: inline-block;
    margin: 5px 20px;
    list-style: none;
    font-size: 16px;
}
@media screen and (max-width: 767.98px) {
    .navbar-custom {
        display: none;
    }
}
